Page MenuHomePhabricator

Extension setup for GlobalWatchlist
Closed, ResolvedPublic4 Estimated Story Points

Description

Once the gerrit repository is created, need to

  • Set up CI
  • Set up translation on translatewiki (once there is something to translate, eg the extension name in extension.json)
  • Have a diffusion repo set up - rEGLW

Event Timeline

Restricted Application added a project: User-DannyS712. · View Herald TranscriptJun 11 2020, 5:32 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
DannyS712 moved this task from Unsorted to Next on the User-DannyS712 board.Jun 11 2020, 5:36 AM
DannyS712 updated the task description. (Show Details)Jun 11 2020, 2:09 PM

Change 604719 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[integration/config@master] Add GlobalWatchlist extension to CI

https://gerrit.wikimedia.org/r/604719

Change 604799 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[translatewiki@master] Add GlobalWatchlist extension to translation

https://gerrit.wikimedia.org/r/604799

DannyS712 moved this task from Next to In progress on the User-DannyS712 board.Jun 11 2020, 5:17 PM
Krinkle renamed this task from Extension setup to Extension setup for GlobalWatchlist.Jun 11 2020, 10:48 PM

Change 604719 merged by jenkins-bot:
[integration/config@master] Add GlobalWatchlist extension to CI

https://gerrit.wikimedia.org/r/604719

DannyS712 updated the task description. (Show Details)Jun 11 2020, 11:48 PM

Waiting for it to be added to translatewiki.net

greg added a subscriber: greg.Jun 12 2020, 9:11 PM

(Sorry for asking on an unrelated task, but is this planned to be deployed to Wikimedia wikis as well?)

(Sorry for asking on an unrelated task, but is this planned to be deployed to Wikimedia wikis as well?)

Yes - that is the eventual plan; I have a grant[1] to support converting my current global watchlist user script[2] into a proper extension

[1] https://meta.wikimedia.org/wiki/Grants:Project/DannyS712/Create_a_global_watchlist_extension
[2] https://meta.wikimedia.org/wiki/User:DannyS712/Global_watchlist

DannyS712 updated the task description. (Show Details)Jun 13 2020, 11:19 AM

Change 604799 merged by jenkins-bot:
[translatewiki@master] Add GlobalWatchlist extension to translation

https://gerrit.wikimedia.org/r/604799

DannyS712 closed this task as Resolved.Jun 13 2020, 9:33 PM
DannyS712 claimed this task.
DannyS712 updated the task description. (Show Details)
DannyS712 moved this task from In progress to Done on the MediaWiki-extensions-GlobalWatchlist board.

Extension has been set up:

Set up CI: Jenkins is voting -1 or +2 on patches
Set up translations: Available on translatewiki, translation has already begun
Diffusion repo: available at rEGLW

DannyS712 set Final Story Points to 3.Jun 17 2020, 6:24 AM
DannyS712 set the point value for this task to 4.